<?php

namespace Jlr\Tags;

use Illuminate\Support\ServiceProvider;
use Jlr\Tags\Contracts\Client as ClientContract;

class TagsServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->app->bind(ClientContract::class, function () {
            return ClientFactory::make(
                config('services.jlrtags.url'),
                config('services.jlrtags.token')
            );
        });
    }
}
